%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  glueDo
%global packver   0.1.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.0
Release:          1%{?dist}%{?buildtag}
Summary:          Wrapper Functions for the 'glue' Library

License:          MIT + file LICENSE
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 4.3.0
Requires:         R-core >= 4.3.0
BuildArch:        noarch
BuildRequires:    R-CRAN-glue >= 1.8.0
Requires:         R-CRAN-glue >= 1.8.0

%description
Provides convenient wrapper functions around the 'glue' library for common
string interpolation tasks. The package simplifies the process of
combining 'glue' string templating with common R functions like message(),
warning(), stop(), print(), cat(), and file writing operations. Instead of
manually calling glue() and then passing the result to these functions,
'glueDo' provides direct wrapper functions that handle both steps in a
single call. This is particularly useful for logging, error handling, and
formatted output in R scripts and packages. The main reference for the
underlying 'glue' package is Hester and Bryan (2022)
<https://CRAN.R-project.org/package=glue>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
